<template>
<div
	:class="class_name"
	v-on:click="onClick"
	v-on:mouseover="onHover"
>
	<slot />
	<div class="right">{{ text }}</div>
</div>
</template>

<script>
export default {
	computed: {
		class_name: function () {
			return `item${this.selected ? " selected" : ""}`
		},
		text: function () {
			return this.value ? "Yes" : "No"
		}
	},
	data () {
		return { }
	},
	methods: {
		onClick: function () {
			this.$emit("click", this.id)

		},
		onHover: function () {
			this.$emit("hover", this.id)
		}
	},
	name: "boolean-item",
	props: [ "id", "selected", "value" ]
}
</script>

<style lang="less" src="./styles/Item.less" scoped></style>